http_request_method_unregister
http_redirect
Funções para HTTP
PHP Manual

# http_request

(PECL pecl_http >= 1.0.0)

http_request — Perform custom request

### Descrição

string http_request ( int `$method` [, string `$url` [, string `$body` [, array `$options` [, array `&$info` ]]]] )

Performs a custom HTTP request on the supplied url.

Veja a lista completa de opções da requisição.

### Parâmetros

`method`

  Request method

`url`

  URL

`body`

  Request body

`options`

  opções da requisição

`info`

  Informações de requisição/resposta

### Valor Retornado

Retorna a(s) resposta(s) HTTP como uma string em caso de sucesso, ou `FALSE` em caso de falha.

http_request_method_unregister
http_redirect
Funções para HTTP
PHP Manual